> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/editors/timeupdown/wisej.web.timeupdownformat.md).

# TimeUpDownFormat

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the time format the [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control displays.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TimeUpDownFormat : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TimeUpDownFormat As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                                                                                            |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **HHMM**   | The [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control displays the hours and the minutes in double digits: i.e. 09:00.                        |
| **HHMMSS** | The [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control displays the hours the minutes and the seconds in double digits: i.e. 09:45:03.         |
| **HM**     | The [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control displays the hours and the minutes in single or double digits: i.e. 9:45.               |
| **HMS**    | The [TimeUpDown](/api/wisej.web/editors/timeupdown.md) control displays the hours the minutes and the seconds in single or double digits: i.e. 9:45:3. |

## Used By

| Name                                                             | Description                                                         |
| ---------------------------------------------------------------- | ------------------------------------------------------------------- |
| [TimeUpDown.Format](/api/wisej.web/editors/timeupdown.md#format) | Returns or sets the format use to display and parse the time value. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/editors/timeupdown/wisej.web.timeupdownformat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
